petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGCRSetModifyPC

Sets the routine used by GCR to modify the preconditioner.

### Synopsis

    PetscErrorCode  KSPGCRSetModifyPC(KSP ksp,PetscErrorCode (*function)(KSP,PetscInt,PetscReal,void*),void *data,PetscErrorCode (*destroy)(void*))

Logically Collective on KSP Many br

### Input Parameters

+ ksp - iterative context obtained from KSPCreate() Many br. function - user defined function to modify the preconditioner Many br. ctx - user provided contex for the modify preconditioner function Many br- destroy - the function to use to destroy the user provided application context. Many br

### Calling Sequence of function

PetscErrorCode function (KSP ksp, PetscInt n, PetscReal rnorm, void *ctx) Many br

ksp - iterative context Many brn - the total number of GCR iterations that have occurred Many brrnorm - 2-norm residual value Many brctx - the user provided application context Many br

Many br

### Notes

The default modifypc routine is KSPGCRModifyPCNoChange() Many br

.seealso: KSPGCRModifyPCNoChange() Many br

Level:intermediate
Location:src/ksp/ksp/impls/gcr/gcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages